package com.bytedance.android.livesdk.livesetting.performance;

import X.7UH;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_alog_and_monitor_allow_list")
public final class LiveALogAndMonitorDegradeAllowListSetting {
    @Group(isDefault = true, value = "default group")
    public static final 7UH DEFAULT = new 7UH();
    public static final LiveALogAndMonitorDegradeAllowListSetting INSTANCE = new LiveALogAndMonitorDegradeAllowListSetting();

    public final 7UH getDEFAULT() {
        return DEFAULT;
    }

    public final 7UH getValue() {
        7UH r0 = (7UH) SettingsManager.INSTANCE.getValueSafely(LiveALogAndMonitorDegradeAllowListSetting.class);
        if (r0 == null) {
            return DEFAULT;
        }
        return r0;
    }

    static {
        Covode.recordClassIndex(18125);
    }
}
